Bug 1280359 - nova searches for wrong device unexpectedly when multipath device has faulty lun
nova searches for wrong device unexpectedly when multipath device has faulty lun
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
x86_64 Linux
medium Severity medium
: ---
: 6.0 (Juno)
Assigned To: Lee Yarwood
Prasanth Anbalagan
: Triaged, ZStream
Depends On: 1275937
Blocks: 1281762
  Show dependency treegraph
 
Reported: 2015-11-11 09:41 EST by Lee Yarwood
Modified: 2016-01-07 15:50 EST (History)
16 users (show)

See Also:
Fixed In Version: openstack-nova-2014.2.3-41.el7ost
Doc Type: Bug Fix
Doc Text:
With a faulty lun in a multipath device, Compute tried to use the wrong device. Compute now uses the correct device, and instances can boot normally.
Story Points: ---
Clone Of: 1275937
Environment:
Last Closed: 2016-01-07 15:50:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Prasanth Anbalagan 2016-01-04 11:32:18 EST
Attach/Detach volume works fine even when multipath -ll detects errors in multipath.conf. Moving the bug to verified.

[root@lynx13 ~(keystone_admin)]# nova list
+----+------+--------+------------+-------------+----------+
| ID | Name | Status | Task State | Power State | Networks |
+----+------+--------+------------+-------------+----------+
+----+------+--------+------------+-------------+----------+
[root@lynx13 ~(keystone_admin)]# cinder list
+----+--------+--------------+------+-------------+----------+-------------+
| ID | Status | Display Name | Size | Volume Type | Bootable | Attached to |
+----+--------+--------------+------+-------------+----------+-------------+
+----+--------+--------------+------+-------------+----------+-------------+
[root@lynx13 ~(keystone_admin)]# cinder create --display-name vol1 1
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-01-04T16:26:09.626654      |
| display_description |                 None                 |
|     display_name    |                 vol1                 |
|      encrypted      |                False                 |
|          id         | 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 |
|       metadata      |                  {}                  |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    |                 None                 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+
[root@lynx13 ~(keystone_admin)]# cinder create --display-name vol2 1 
+---------------------+--------------------------------------+
|       Property      |                Value                 |
+---------------------+--------------------------------------+
|     attachments     |                  []                  |
|  availability_zone  |                 nova                 |
|       bootable      |                false                 |
|      created_at     |      2016-01-04T16:26:17.260237      |
| display_description |                 None                 |
|     display_name    |                 vol2                 |
|      encrypted      |                False                 |
|          id         | d7737dc1-4903-4c71-ba85-fb3251dd7698 |
|       metadata      |                  {}                  |
|         size        |                  1                   |
|     snapshot_id     |                 None                 |
|     source_volid    |                 None                 |
|        status       |               creating               |
|     volume_type     |                 None                 |
+---------------------+--------------------------------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova boot --flavor 1 --image cirros vm1
+--------------------------------------+-----------------------------------------------+
| Property                             | Value                                         |
+--------------------------------------+-----------------------------------------------+
| OS-DCF:diskConfig                    | MANUAL                                        |
| OS-EXT-AZ:availability_zone          |                                               |
| OS-EXT-SRV-ATTR:host                 | -                                             |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | -                                             |
| OS-EXT-SRV-ATTR:instance_name        | instance-00000001                             |
| OS-EXT-STS:power_state               | 0                                             |
| OS-EXT-STS:task_state                | scheduling                                    |
| OS-EXT-STS:vm_state                  | building                                      |
| OS-SRV-USG:launched_at               | -                                             |
| OS-SRV-USG:terminated_at             | -                                             |
| accessIPv4                           |                                               |
| accessIPv6                           |                                               |
| adminPass                            | yZFQvUu9wat7                                  |
| config_drive                         |                                               |
| created                              | 2016-01-04T16:26:37Z                          |
| flavor                               | m1.tiny (1)                                   |
| hostId                               |                                               |
| id                                   | 36c9eafc-d575-46f8-8eb4-4fd96564e614          |
| image                                | cirros (e649b542-ad6a-4c79-9655-930355a1adf7) |
| key_name                             | -                                             |
| metadata                             | {}                                            |
| name                                 | vm1                                           |
| os-extended-volumes:volumes_attached | []                                            |
| progress                             | 0                                             |
| security_groups                      | default                                       |
| status                               | BUILD                                         |
| tenant_id                            | dc417811be5b43f6a3511d8065e77ba9              |
| updated                              | 2016-01-04T16:26:37Z                          |
| user_id                              | 8ee24372c65c4609b703ed038d830fd3              |
+--------------------------------------+-----------------------------------------------+
[root@lynx13 ~(keystone_admin)]# nova list
+--------------------------------------+------+--------+------------+-------------+---------------------+
| ID                                   | Name | Status | Task State | Power State | Networks            |
+--------------------------------------+------+--------+------------+-------------+---------------------+
| 36c9eafc-d575-46f8-8eb4-4fd96564e614 | vm1  | BUILD  | spawning   | NOSTATE     | public=172.24.4.227 |
+--------------------------------------+------+--------+------------+-------------+---------------------+
[root@lynx13 ~(keystone_admin)]# nova list
+--------------------------------------+------+--------+------------+-------------+---------------------+
| ID                                   | Name | Status | Task State | Power State | Networks            |
+--------------------------------------+------+--------+------------+-------------+---------------------+
| 36c9eafc-d575-46f8-8eb4-4fd96564e614 | vm1  | BUILD  | spawning   | NOSTATE     | public=172.24.4.227 |
+--------------------------------------+------+--------+------------+-------------+---------------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova list
+--------------------------------------+------+--------+------------+-------------+---------------------+
| ID                                   | Name | Status | Task State | Power State | Networks            |
+--------------------------------------+------+--------+------------+-------------+---------------------+
| 36c9eafc-d575-46f8-8eb4-4fd96564e614 | vm1  | ACTIVE | -          | Running     | public=172.24.4.227 |
+--------------------------------------+------+--------+------------+-------------+---------------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 | available |     vol1     |  1   |     None    |  false   |             |
| d7737dc1-4903-4c71-ba85-fb3251dd7698 | available |     vol2     |  1   |     None    |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova volume-attach vm1 vol1
ERROR (BadRequest): Bad volumeId format: volumeId is not in proper format (vol1) (HTTP 400) (Request-ID: req-adad0b47-58bf-4e8d-b860-fe398288be7c)
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova volume-attach vm1 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6
+----------+--------------------------------------+
| Property | Value                                |
+----------+--------------------------------------+
| device   | /dev/vdb                             |
| id       | 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 |
| serverId | 36c9eafc-d575-46f8-8eb4-4fd96564e614 |
| volumeId | 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 |
+----------+--------------------------------------+
[root@lynx13 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+--------------------------------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable |             Attached to              |
+--------------------------------------+-----------+--------------+------+-------------+----------+--------------------------------------+
| 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 |   in-use  |     vol1     |  1   |     None    |  false   | 36c9eafc-d575-46f8-8eb4-4fd96564e614 |
| d7737dc1-4903-4c71-ba85-fb3251dd7698 | available |     vol2     |  1   |     None    |  false   |                                      |
+--------------------------------------+-----------+--------------+------+-------------+----------+--------------------------------------+
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# multipath -ll
Jan 04 18:28:51 | missing value for option 'break-multipath' on line 96 of /etc/multipath.conf
[root@lynx13 ~(keystone_admin)]# 


[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# nova volume-detach vm1 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6
[root@lynx13 ~(keystone_admin)]# 
[root@lynx13 ~(keystone_admin)]# cinder list
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
|                  ID                  |   Status  | Display Name | Size | Volume Type | Bootable | Attached to |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
| 7f0ffe08-b068-4076-8b3c-4ba5b7fb17d6 | available |     vol1     |  1   |     None    |  false   |             |
| d7737dc1-4903-4c71-ba85-fb3251dd7698 | available |     vol2     |  1   |     None    |  false   |             |
+--------------------------------------+-----------+--------------+------+-------------+----------+-------------+
[root@lynx13 ~(keystone_admin)]#
Comment 5 errata-xmlrpc 2016-01-07 15:50:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0013.html

Note You need to log in before you can comment on or make changes to this bug.